package cn.iocoder.yudao.module.order.service.orderOperateLog;

import java.util.*;
import java.util.concurrent.Future;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.order.vo.orderOperateLog.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderOperateLog.OrderOperateLogDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 订单操作日志 Service 接口
 *
 * @author 郑屹
 */
public interface OrderOperateLogService extends IService<OrderOperateLogDO> {

    /**
     * 创建订单操作日志
     * @param createReqVO 创建信息
     * @return 编号
     */
    Future<Boolean> createOrderAsyncOperateLog(@Valid OrderOperateLogCreateReqVO createReqVO);

//    /**
//     * 更新订单操作日志
//     * @param updateReqVO 更新信息
//     */
//    void updateOrderOperateLog(@Valid OrderOperateLogUpdateReqVO updateReqVO);
//
//    /**
//     * 删除订单操作日志
//     * @param id 编号
//     */
//    void deleteOrderOperateLog(Long id);

    /**
     * 获得订单操作日志
     * @param id 编号
     * @return 订单操作日志
     */
    OrderOperateLogDO getOrderOperateLog(Long id);

    /**
     * 获得订单操作日志列表
     * @param ids 编号
     * @return 订单操作日志列表
     */
    List<OrderOperateLogDO> getOrderOperateLogList(Collection<Long> ids);

    /**
     * 获得订单操作日志分页
     * @param page 分页查询
     * @param query 查询
     * @return 订单操作日志分页
     */
    PageResult<OrderOperateLogDO> getOrderOperateLogPage(OrderOperateLogQueryVO query, PageVO page);

    /**
     * 获得订单操作日志列表, 用于 Excel 导出
     * @param query 查询
     * @return 订单操作日志列表
     */
    List<OrderOperateLogDO> getOrderOperateLogList(OrderOperateLogQueryVO query);
}
