package cn.iocoder.yudao.module.order.vo.orderControlLog;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 订单控货日志 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderControlLogBaseVO {

    @ApiModelProperty(value = "订单ID", required = true)
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    @ApiModelProperty(value = "请求地址")
    private String requestUrl;

    @ApiModelProperty("控货日志类型key值：1 新增控货 2 更新控货 3 转移控货 4 放货 5 放货复核 6 放货取消  7 放货修改申请 8 放货反复核申请 " +
            "9 被调货申请 10 调货申请 11 取消放货申请 12 放货修改失败 13 放货反复核失败 14 被调货失败 15 调货失败 16 取消放货失败 17 放货修改通过" +
            "18 放货反复核通过 19 调货审批通过 20 被调货审批通过 21 取消放货审批通过")
    private Integer typeKey;

    @ApiModelProperty(value = "变更类型")
    private String type;

    @ApiModelProperty(value = "变更描述")
    private String msg;

    @ApiModelProperty(value = "操作人类型：1 会员 2 管理员")
    private Integer userType;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "创建者名称")
    private String creatorName;

    @ApiModelProperty("审核ID")
    private Long approvalId;

}
