package cn.iocoder.yudao.module.order.vo.orderSpecialNeed;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 特需查询 VO")
public class OrderSpecialNeedQueryVO {

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "特需要求")
    private String advanceType;

    @ApiModelProperty(value = "垫付的内陆运输费用")
    private java.math.BigDecimal transFee;

    @ApiModelProperty(value = "运输费币种")
    private Integer transCurrency;

    @ApiModelProperty(value = "付款类型")
    private Integer payType;

    @ApiModelProperty(value = "特需备注")
    private String todoDetail;

    @ApiModelProperty(value = "特需申请人")
    private Integer advanceWho;

}
